Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.parser
Interface ParserVisitor

public interface ParserVisitor

Method Summary
`Object` | `visit(ASTAddNode node, Object data)`
`Object` | `visit(ASTAndNode node, Object data)`
`Object` | `visit(ASTArrayAccess node, Object data)`
`Object` | `visit(ASTAssignment node, Object data)`
`Object` | `visit(ASTBitwiseAndNode node, Object data)`
`Object` | `visit(ASTBitwiseComplNode node, Object data)`
`Object` | `visit(ASTBitwiseOrNode node, Object data)`
`Object` | `visit(ASTBitwiseXorNode node, Object data)`
`Object` | `visit(ASTBlock node, Object data)`
`Object` | `visit(ASTDivNode node, Object data)`
`Object` | `visit(ASTEmptyFunction node, Object data)`
`Object` | `visit(ASTEQNode node, Object data)`
`Object` | `visit(ASTExpressionExpression node, Object data)`
`Object` | `visit(ASTExpression node, Object data)`
`Object` | `visit(ASTFalseNode node, Object data)`
`Object` | `visit(ASTFloatLiteral node, Object data)`
`Object` | `visit(ASTForeachStatement node, Object data)`
`Object` | `visit(ASTGENode node, Object data)`
`Object` | `visit(ASTGTNode node, Object data)`
`Object` | `visit(ASTIdentifier node, Object data)`
`Object` | `visit(ASTIfStatement node, Object data)`
`Object` | `visit(ASTIntegerLiteral node, Object data)`
`Object` | `visit(ASTJexlScript node, Object data)`
`Object` | `visit(ASTLENode node, Object data)`
`Object` | `visit(ASTLTNode node, Object data)`
`Object` | `visit(ASTMethod node, Object data)`
`Object` | `visit(ASTModNode node, Object data)`
`Object` | `visit(ASTMulNode node, Object data)`
`Object` | `visit(ASTNENode node, Object data)`
`Object` | `visit(ASTNotNode node, Object data)`
`Object` | `visit(ASTNullLiteral node, Object data)`
`Object` | `visit(ASTOrNode node, Object data)`
`Object` | `visit(ASTReferenceExpression node, Object data)`
`Object` | `visit(ASTReference node, Object data)`
`Object` | `visit(ASTSizeFunction node, Object data)`
`Object` | `visit(ASTSizeMethod node, Object data)`
`Object` | `visit(ASTStatementExpression node, Object data)`
`Object` | `visit(ASTStringLiteral node, Object data)`
`Object` | `visit(ASTSubtractNode node, Object data)`
`Object` | `visit(ASTTrueNode node, Object data)`
`Object` | `visit(ASTUnaryMinusNode node, Object data)`
`Object` | `visit(ASTWhileStatement node, Object data)`
`Object` | `visit(SimpleNode node, Object data)`

Method Detail

### visit

    public Object visit(SimpleNode node,
                        Object data)

### visit

    public Object visit(ASTJexlScript node,
                        Object data)

### visit

    public Object visit(ASTBlock node,
                        Object data)

### visit

    public Object visit(ASTEmptyFunction node,
                        Object data)

### visit

    public Object visit(ASTSizeFunction node,
                        Object data)

### visit

    public Object visit(ASTIdentifier node,
                        Object data)

### visit

    public Object visit(ASTExpression node,
                        Object data)

### visit

    public Object visit(ASTAssignment node,
                        Object data)

### visit

    public Object visit(ASTOrNode node,
                        Object data)

### visit

    public Object visit(ASTAndNode node,
                        Object data)

### visit

    public Object visit(ASTBitwiseOrNode node,
                        Object data)

### visit

    public Object visit(ASTBitwiseXorNode node,
                        Object data)

### visit

    public Object visit(ASTBitwiseAndNode node,
                        Object data)

### visit

    public Object visit(ASTEQNode node,
                        Object data)

### visit

    public Object visit(ASTNENode node,
                        Object data)

### visit

    public Object visit(ASTLTNode node,
                        Object data)

### visit

    public Object visit(ASTGTNode node,
                        Object data)

### visit

    public Object visit(ASTLENode node,
                        Object data)

### visit

    public Object visit(ASTGENode node,
                        Object data)

### visit

    public Object visit(ASTAddNode node,
                        Object data)

### visit

    public Object visit(ASTSubtractNode node,
                        Object data)

### visit

    public Object visit(ASTMulNode node,
                        Object data)

### visit

    public Object visit(ASTDivNode node,
                        Object data)

### visit

    public Object visit(ASTModNode node,
                        Object data)

### visit

    public Object visit(ASTUnaryMinusNode node,
                        Object data)

### visit

    public Object visit(ASTBitwiseComplNode node,
                        Object data)

### visit

    public Object visit(ASTNotNode node,
                        Object data)

### visit

    public Object visit(ASTNullLiteral node,
                        Object data)

### visit

    public Object visit(ASTTrueNode node,
                        Object data)

### visit

    public Object visit(ASTFalseNode node,
                        Object data)

### visit

    public Object visit(ASTIntegerLiteral node,
                        Object data)

### visit

    public Object visit(ASTFloatLiteral node,
                        Object data)

### visit

    public Object visit(ASTStringLiteral node,
                        Object data)

### visit

    public Object visit(ASTExpressionExpression node,
                        Object data)

### visit

    public Object visit(ASTStatementExpression node,
                        Object data)

### visit

    public Object visit(ASTReferenceExpression node,
                        Object data)

### visit

    public Object visit(ASTIfStatement node,
                        Object data)

### visit

    public Object visit(ASTWhileStatement node,
                        Object data)

### visit

    public Object visit(ASTForeachStatement node,
                        Object data)

### visit

    public Object visit(ASTMethod node,
                        Object data)

### visit

    public Object visit(ASTArrayAccess node,
                        Object data)

### visit

    public Object visit(ASTSizeMethod node,
                        Object data)

### visit

    public Object visit(ASTReference node,
                        Object data)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 The Apache Software Foundation. All Rights Reserved.